Name:		sn
Version:	0.3.3
Release:	pam_auth.2.rh%{rh_release}
# Source:     ftp://metalab.unc.edu/pub/Linux/system/news/transport/sn-%{version}.tar.gz
Source:  http://www.iki.fi/patrik/sn/files/sn-%{version}.tar.gz
Source2:    sn-cron.sh
Source3:    sn-pam
Source4:    sn-Makefile
Source5:    sn-create.pl
Source6:    sn-init
Patch0:		sn-redhat.patch
Patch1:     sn-pam.patch
Group:		Networking/News
Copyright:	GPL
Summary:	A news system for small sites
BuildRoot:	/tmp/sn-%{version}-%{release}-root
Summary(pl):	system newsw przeznaczonych dla maych serwerw
Requires:	inetd
# URL: http://freshmeat.net/appindex/1998/06/16/897988393.html
URL: http://www.iki.fi/patrik/sn/

%description
sn is a small news system for small sites serving perhaps a few dozen
newsgroups, and with a slow connection to the internet.  It is
similar to leafnode (ftp.troll.no, by Arnt Gulbrandsen), though it
lacks an intelligent news fetcher.  The target user is a home or
SOHO with a single modem connection to the Internet, maybe running IP masq
or similar, and serving a few workstations.

If you use sendmail instead qmail then modify some scripts in /usr/sbin

%description -l pl
sn jest maym systemem newsw przeznaczonym dla maych serwerw o wolnym
poczeniu z Internetem dostarczajcych kilkadziesit grup.
sn jest podobny do leafnode (ftp.troll.no, autorstwa Arnt Gulbrandsen'a).

Jeli uywasz sendmaila zamiast qmaila to zmodyfikuj niektre ze skryptw w
/usr/sbin

%prep
%setup -n sn-%{version}
%patch0 -p1
%patch1 -p1

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/{usr/{sbin,man/man8},/var/{spool,lib}/sn,etc/{cron.daily,pam.d,rc.d/init.d}}
mknod -m 600 $RPM_BUILD_ROOT/var/spool/sn/.fifo p
make install PREFIX=$RPM_BUILD_ROOT
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/sn.sh
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/sn
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/var/lib/sn/Makefile
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/usr/sbin/sn-create.pl
install -m 755 %{SOURCE6} $RPM_BUILD_ROOT/etc/rc.d/init.d/sn

%post
cd /var/lib/sn
if [ ! -f passwd.db ]; then
   if [ ! -f passwd ]; then
      if [ -f /var/spool/sn/passwd ]; then
         mv /var/spool/sn/passwd .
      else
         touch passwd
         chmod 640 passwd
         chown root.news passwd
      fi
   fi
   if [ -f /var/spool/sn/passwd.db ]; then
      mv /var/spool/sn/passwd.db .
   fi
   make
fi
/sbin/chkconfig --add sn

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-, root, root)
%doc COPYING README* INSTALL*  CHANGES INTERNALS THANKS TODO
%config(noreplace) /etc/pam.d/sn
/usr/man/man8/*
%config /etc/cron.daily/*
%config /etc/rc.d/init.d/*
/var/lib/sn
%defattr(-, news, news)
/usr/sbin/*
/var/spool/sn

%changelog
* Sun Apr 29 2001 Alexey Nogin <ayn2@cornell.edu>
- snauth fixes (to make sure it works with Mozilla).

* Thu Aug  3 2000 Alexey Nogin <ayn2@cornell.edu>
- Better scripts.

* Tue Aug  1 2000 Alexey Nogin <ayn2@cornell.edu>
- Added PAM support

* Wed Apr 12 2000 Alexey Nogin <ayn2@cornell.edu>
- Updated to sn-0.3.2
- Added a cron script to expire sn articles

* Mon Aug 10 1998 Arkadiusz Mikiewicz <misiek@debian.eu.org>
- initial RPM release

